## org.h2.api
Interface Trigger

All Known Implementing Classes:
  FullText.FullTextTrigger, FullTextLucene.FullTextTrigger, TestRunscript, TestTriggersConstraints, TestTriggersConstraints.Test, TriggerPassData, TriggerSample.MyTrigger

    public interface Trigger

A class that implements this interface can be used as a trigger.

Field Summary
`static int` `DELETE` The trigger is called for DELETE statements.
`static int` `INSERT` The trigger is called for INSERT statements.
`static int` `UPDATE` The trigger is called for UPDATE statements.

Method Summary
`void` `fire(java.sql.Connection conn, java.lang.Object[] oldRow, java.lang.Object[] newRow)` This method is called for each triggered action.
`void` `init(java.sql.Connection conn, java.lang.String schemaName, java.lang.String triggerName, java.lang.String tableName, boolean before, int type)` This method is called by the database engine once when initializing the trigger.

Field Detail

### INSERT

    static final int INSERT

  The trigger is called for INSERT statements.

  See Also:
    Constant Field Values

### UPDATE

    static final int UPDATE

  The trigger is called for UPDATE statements.

  See Also:
    Constant Field Values

### DELETE

    static final int DELETE

  The trigger is called for DELETE statements.

  See Also:
    Constant Field Values

Method Detail

### init

    void init(java.sql.Connection conn,
              java.lang.String schemaName,
              java.lang.String triggerName,
              java.lang.String tableName,
              boolean before,
              int type)
              throws java.sql.SQLException

  This method is called by the database engine once when initializing the trigger.

  Parameters:
    `conn` - a connection to the database
    `schemaName` - the name of the schema
    `triggerName` - the name of the trigger used in the CREATE TRIGGER statement
    `tableName` - the name of the table
    `before` - whether the fire method is called before or after the operation is performed
    `type` - the operation type: INSERT, UPDATE, or DELETE
  Throws:
    `java.sql.SQLException`

### fire

    void fire(java.sql.Connection conn,
              java.lang.Object[] oldRow,
              java.lang.Object[] newRow)
              throws java.sql.SQLException

  This method is called for each triggered action.

  Parameters:
    `conn` - a connection to the database
    `oldRow` - the old row, or null if no old row is available (for INSERT)
    `newRow` - the new row, or null if no new row is available (for DELETE)
  Throws:
    `java.sql.SQLException` - if the operation must be undone